org.eclipse.jgit.util

## Class CachedAuthenticator

- java.lang.Object
- - java.net.Authenticator
  - - org.eclipse.jgit.util.CachedAuthenticator

    public abstract class CachedAuthenticator
    extends Authenticator

Abstract authenticator which remembers prior authentications.

### Nested Class Summary

Nested Classes
`static class` `CachedAuthenticator.CachedAuthentication` Authentication data to remember and reuse.

### Nested classes/interfaces inherited from class java.net.Authenticator

`Authenticator.RequestorType`

### Constructor Summary

Constructors
Constructor and Description
`CachedAuthenticator()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static void` `add(CachedAuthenticator.CachedAuthentication ca)` Add a cached authentication for future use.
`protected PasswordAuthentication` `getPasswordAuthentication()`
`protected abstract PasswordAuthentication` `promptPasswordAuthentication()` Prompt for and request authentication from the end-user.

### Methods inherited from class java.net.Authenticator

`getRequestingHost, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingScheme, getRequestingSite, getRequestingURL, getRequestorType, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthentication, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CachedAuthenticator

    public CachedAuthenticator()

### Method Detail

#### add

    public static void add(CachedAuthenticator.CachedAuthentication ca)

Add a cached authentication for future use.

Parameters:
  `ca` - the information we should remember.

#### getPasswordAuthentication

    protected final PasswordAuthentication getPasswordAuthentication()

Overrides:
  `getPasswordAuthentication` in class `Authenticator`

#### promptPasswordAuthentication

    protected abstract PasswordAuthentication promptPasswordAuthentication()

Prompt for and request authentication from the end-user.

Returns:
  the authentication data; null if the user canceled the request and does not want to continue.